List SEO keywords
GET
/api/v1/content/keywords
const url = 'https://api.ultimateteam.ai/api/v1/content/keywords?limit=50&offset=0';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.ultimateteam.ai/api/v1/content/keywords?limit=50&offset=0' \ --header 'X-API-Key: <X-API-Key>'List tracked SEO keywords.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
SEOKeywordListResponse
Response body for listing SEO keywords.
object
keywords
required
Keywords
Array<object>
SEOKeywordResponseResponse body for a single SEO keyword.
object
created_at
required
Created At
string format: date-time
id
required
Id
string
keyword
required
Keyword
string
ranking_history
Ranking History
Array
status
required
Status
string
tenant_id
required
Tenant Id
string
topic_cluster
required
Topic Cluster
string
updated_at
required
Updated At
string format: date-time
total
required
Total
integer
Examplegenerated
{ "keywords": [ { "commercial_intent": 1, "created_at": "2026-04-15T12:00:00Z", "current_rank": 1, "difficulty_score": 1, "id": "example", "keyword": "example", "ranking_history": [ "example" ], "relevance_score": 1, "search_volume": 1, "status": "example", "target_content_slug": "example", "tenant_id": "example", "topic_cluster": "example", "updated_at": "2026-04-15T12:00:00Z" } ], "total": 1}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}